// Pin number for the LED (use the GPIO number, not the board's pin number)
const int ledPin = 7;

// Time interval for the LED to be on and off (in milliseconds)
const unsigned long interval = 1000;
unsigned long previousMillis = 0;

void setup() {
  // Set the LED pin as an output
  pinMode(ledPin, OUTPUT);
   pinMode(5, OUTPUT);
}

void loop() {
  // Get the current time
  unsigned long currentMillis = millis();
  digitalWrite(5, HIGH);  // turn the LED on (HIGH is the voltage level)

  // Check if the interval has passed
  if (currentMillis - previousMillis >= interval) {
    // Save the last time the LED state was toggled
    previousMillis = currentMillis;

    // Toggle the LED state
    digitalWrite(ledPin, !digitalRead(ledPin));
  }
}
